Installing Updates from eShop

Discussion in '3DS - Homebrew Development and Emulators' started by ShinyMK, Jan 5, 2016.

  1. ShinyMK
    OP

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    So I installed a cia for a game I bought legally. I am on 9.2.0-20E using rxTools CFW on EmuNand how can I install updates for the game? I know in HBL theres a spoofed eShop that should work but how do I install updates for the game from it?
     
  2. ShinyMK
    OP

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    Ok I installed the update with another cia file btu its giving me an error saying turn off and retry when I open up the game. I installed it on EmuNand do I need to install it on SysNand or something? The game is Home Designer (Animal Crossing)
     
  3. Ziefer846

    Ziefer846 GBAtemp Fan

    Member
    447
    121
    Jun 22, 2015
    United States
    If you're running the game directly from sysNAND (which you shouldn't be doing), I'm pretty sure you'll need it installed on both NANDs. And also, you can use the eShop for updates.
     
  4. ShinyMK
    OP

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    Ok well I have it installed on EmuNand and running from EmuNand.
     
  5. Ziefer846

    Ziefer846 GBAtemp Fan

    Member
    447
    121
    Jun 22, 2015
    United States
    Try using the eShop to update.
     
  6. ShinyMK
    OP

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    Cant im on 9.2 so it doesnt even let me on eShop
     
  7. Rioluwott

    Rioluwott GBAtemp Advanced Fan

    Member
    650
    92
    Feb 23, 2014
    Mexico
    Update the emunand
     
  8. ShinyMK
    OP

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    But then wouldnt I not be able to install more cia's?
     
  9. Melchizedek

    Melchizedek GBAtemp Regular

    Member
    202
    15
    May 7, 2006
    Canada
    You can update both your emunand and your CIA games from emunand.
     
  10. Rioluwott

    Rioluwott GBAtemp Advanced Fan

    Member
    650
    92
    Feb 23, 2014
    Mexico
    No thats not how emunand works you can boot an updated emunand from an outdated sysnand and use cias and cia installers fine
     
  11. ShinyMK
    OP

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    Oh ok, So if I update it to lets say 10.3.0 (Unsure if this is still the latest firm), Would I still be able to use FBI? Great. Do i simply update from System Settings while on RXMode/rxTools

    — Posts automatically merged - Please don't double post! —

    Im trying to update from Settings in EmuNand but its stuck at a blank progress bar for about 15 mins now Lol stupid me my wifi was setup wrong xD
     
    Last edited by ShinyMK, Jan 5, 2016
  12. Rioluwott

    Rioluwott GBAtemp Advanced Fan

    Member
    650
    92
    Feb 23, 2014
    Mexico
    Just be sure that you are on emunand if you update the emunand you can play the newest games also if you want you can unlink your Nands by formating your 3ds with the SD card out just make sure you haven´t downgraded the MSET on 9.0
     
  13. ShinyMK
    OP

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    I downgraded successfully and they are already ulinked. Game still doesnt work so im gonna try and uninstall em and then reinstall
     
  14. Rioluwott

    Rioluwott GBAtemp Advanced Fan

    Member
    650
    92
    Feb 23, 2014
    Mexico
    You downgraded?
    you should update not downgrade
    you can enter to the eshop now and download the legit update
     
  15. ShinyMK
    OP

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    Sorry yes xD I upgraded not downgraded tired asf rn 4am yup thats what im gonna do. Ill post the results soon.
     
  16. Yangarang

    Yangarang GBAtemp Regular

    Member
    185
    68
    Nov 14, 2015
    Australia
    Let me know if it works for you, my rxtools emuNAND is on 10.3.0-38E and I can't access the eshop
     
  17. ShinyMK
    OP

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    Im on 10.3.0-28E and it eshop works but its still giving me the same error saying power off and try again.

    Found this, https://gyazo.com/08b156e3d9a70f6a1311826b5c182627
    on the thread I got the cia from. Im on 10.3.0 but I installed using BigBlueMenu
     
    Last edited by ShinyMK, Jan 5, 2016
  18. Rioluwott

    Rioluwott GBAtemp Advanced Fan

    Member
    650
    92
    Feb 23, 2014
    Mexico
    erase the link you can´t link cias on this forum sorry
     
  19. ShinyMK
    OP

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    Its a screenshot o.o not a cia
     
  20. Rioluwott

    Rioluwott GBAtemp Advanced Fan

    Member
    650
    92
    Feb 23, 2014
    Mexico
    yeah sorry haha i tought it was a cia
    maybe your cia has wrong region or is corrupted what game is it?